# Created by pyp2rpm-3.3.1
%global pypi_name requestsexceptions

Name:           python-%{pypi_name}
Version:        1.4.0
Release:        %mkrel 7
Summary:        Import exceptions from potentially bundled packages in requests
Group:          Development/Python
License:        ASL 2.0
URL:            https://www.openstack.org/
Source0:        https://pypi.io/packages/source/r/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch1:         fix-test-requirements.patch
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(pbr)
# Tests
BuildRequires:  python3dist(hacking)

%description
requestsexceptions The python requests library bundles the urllib3 library,
however, some software distributions modify requests to remove the bundled
library. This makes some operations, such as suppressing the "insecure platform
warning" messages that urllib emits difficult. This is a simple library to find
the correct path to exceptions in the requests library regardless of whether
they are bundled.

%package -n     python3-%{pypi_name}
Summary:        Import exceptions from potentially bundled packages in requests
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
requestsexceptions The python requests library bundles the urllib3 library,
however, some software distributions modify requests to remove the bundled
library. This makes some operations, such as suppressing the "insecure platform
warning" messages that urllib emits difficult. This is a simple library to find
the correct path to exceptions in the requests library regardless of whether
they are bundled.


%prep
%autosetup -p1 -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info



%changelog
* Mon Aug 22 2022 umeabot <umeabot> 1.4.0-7.mga9
+ Revision: 1879218
- Mageia 9 Mass Rebuild

* Sun Mar 21 2021 daviddavid <daviddavid> 1.4.0-6.mga9
+ Revision: 1706930
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.4.0-5.mga8
+ Revision: 1534935
- Mageia 8 Mass Rebuild

* Mon Oct 07 2019 tv <tv> 1.4.0-4.mga8
+ Revision: 1450213
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jan 07 2019 kekepower <kekepower> 1.4.0-3.mga7
+ Revision: 1351267
- Rebuild for Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.4.0-2.mga7
+ Revision: 1290001
- Mageia 7 Mass Rebuild

* Wed Apr 25 2018 kekepower <kekepower> 1.4.0-1.mga7
+ Revision: 1222316
- BR python-coverage
- Add patch to fix test requirements
- Fix BRs
- imported package python-requestsexceptions

